restinio::http_field_parsers::basic_auth::params_t Struct Reference

Parameters for basic authentification. More...

`#include <basic_auth.hpp>`

## Public Attributes

std::string | username
| Name of a user. More...
std::string | password
| Password for a user. More...

## Detailed Description

Parameters for basic authentification.

Since
  v.0.6.7

Definition at line 41 of file basic_auth.hpp.

## Member Data Documentation

## password

std::string restinio::http_field_parsers::basic_auth::params_t::password

Password for a user.

Can be empty.

Definition at line 53 of file basic_auth.hpp.

## username

std::string restinio::http_field_parsers::basic_auth::params_t::username

Name of a user.

Can't be empty.

Definition at line 47 of file basic_auth.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/http_field_parsers/basic_auth.hpp